이 콘텐츠는 선택한 언어로 제공되지 않습니다.
14.4. Update an Application Deployment
Description
Update a deployment of an application. Note that special permissions are required to update deployments.
Method and URL Structure
| Method | Resource URL |
|---|---|
POST | /broker/rest/application/:id/deployments |
Request Parameters
| Name | Description | Required | Default |
|---|---|---|---|
deployments | An array of deployments | Yes |
See Section A.8, “Deployments” for more information about the valid options applicable to these request parameters.
cURL Command Example
$ curl -X POST https://openshift.redhat.com/broker/rest/application/5255b678b78bba421d000008/deployments --user user@example.com:password
JSON Response
The API returns the deployment resource. See Chapter 14, Deployment for more information on all deployment parameters.
{
"api_version": 1.6,
"data": {
"activations": [
"2014-03-27T07:50:10Z"
],
"created_at": "2014-03-27T07:50:03Z",
"force_clean_build": false,
"hot_deploy": false,
"id": "1823e2dc",
"ref": "master",
"sha1": "bcf49c4"
},
"messages": [
{
"exit_code": 0,
"field": null,
"index": null,
"severity": "info",
"text": "Added 1823e2dc to application myapp"
}
],
"status": "created",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "deployment",
"version": "1.6"
}